Page MenuHomeFreeBSD

Deorbit RESTRICTED && NO_CDROM, part one.
ClosedPublic

Authored by mat on Apr 27 2021, 12:16 PM.

Details

Summary

For ports that already use the licenses framwork, merge the content of
RESTRICTED/NO_CDROM entries into LICENSEs.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat requested review of this revision.Apr 27 2021, 12:16 PM
mat created this revision.
archivers/rar/Makefile
17

Should this old LEGAL_TEXT be converted to LICENSE_TEXT ? It should already be in the RAR license though.

Similar for e.g. old NO_CDROM / RESTRICTED text in various other ports.

benchmarks/netio/Makefile
17

Just wondering, why was auto-accept added (here and in some other ports)?

archivers/rar/Makefile
17

I kept them as comments when there was already a LICENSE_FILE because I did not want to loose readily available information.

benchmarks/netio/Makefile
17

auto-accept means the license does not need to be manually accepted by the user, things like "You must accept the EULA before installing the software".

Which is not the case here.

rene added inline comments.
archivers/rar/Makefile
17

Yes, that was my idea too.

benchmarks/netio/Makefile
17

OK.

This revision is now accepted and ready to land.May 3 2021, 10:14 AM
This revision now requires review to proceed.May 4 2021, 9:36 AM
This revision was not accepted when it landed; it landed in state Needs Review.May 6 2021, 11:49 AM
This revision was automatically updated to reflect the committed changes.